#include <iostream>
#include <cmath>
using namespace std;

int vratibrojcifara(int broj)
{
    int brojcifara = 0;
    if (broj < 0)
        brojcifara = 1;
    while (broj)
    {
        broj /= 10;
        brojcifara++;
    }
    return brojcifara;
}

int main()

{
    int broj1;
    int broj2;
    int j = 0, k=0, brojcifara1 = 0, brojcifara2 = 0;
    int cifre1[10] = {};
    int cifre2[10] = {};
    int cifre3[20] = {};

   
    cin >> broj1;

    cin >> broj2;
    brojcifara1 = vratibrojcifara(broj1);
    brojcifara2 = vratibrojcifara(broj2);

   

    k = 0;
    while (broj1 > 0)
    {
        int cifra = broj1 % 10;
        broj1 /= 10;
        cifre1[k] = cifra;
        k++;
    }

    k= 0;

    while (broj2 > 0)
    {
        int cifra = broj2 % 10;
        broj2 /= 10;
        cifre2[k] = cifra;
        k++;
    }

    if (brojcifara1 == brojcifara2)
    {
        for (int i = 0; i <= brojcifara1 - 1; i++)
        {
            if (cifre1[i] == cifre2[i])
            {
                cifre3[j] = cifre1[i];
                cifre3[j + 1] = cifre2[i];
                j++;
            }
            else
                cifre3[j] = max(cifre1[i], cifre2[i]);
            j++;
        }
    }

    if (brojcifara1 > brojcifara2)
    {
        for (int i = 0; i <= brojcifara2 - 1; i++)
        {
            if (cifre1[i] == cifre2[i])
            {
                cifre3[j] = cifre1[i];
                cifre3[j + 1] = cifre1[i];
                j++;
            }
            else
                cifre3[j] = max(cifre1[i], cifre2[i]);
            j++;
        }
        int ostaloje = brojcifara1 - brojcifara2;
        for (int i = brojcifara1 - ostaloje; i <= brojcifara1 - 1; i++)
        {
            cifre3[j] = cifre1[i];
            j++;
        }
    }

    if (brojcifara2 > brojcifara1)
    {
        for (int i = 0; i <= brojcifara1 - 1; i++)
        {
            if (cifre1[i] == cifre2[i])
            {
                cifre3[j] = cifre2[i];
                cifre3[i + 1] = cifre2[i];
                j++;
            }
            else
                cifre3[j] = max(cifre1[i], cifre2[i]);
            j++;
        }
        int ostaloje = brojcifara2 - brojcifara1;
        for (int i = brojcifara2 - ostaloje; i <= brojcifara2 - 1; i++)
        {
            cifre3[j] = cifre2[i];
            j++;
        }
    }
    for (int i = j; i >= 0; i--)
    {
        
        if (cifre3[i] == 0)
        {
            continue;
        }
        else
        {

            cout << cifre3[i];
        }
        if (i == 0) break;
    }
    cout << endl;
}